package com.hai.model;

import java.math.BigDecimal;
import java.util.List;

public class TyOrderCountModel {

    // 订单定额
    private BigDecimal orderPrice;

    // 交易金额
    private BigDecimal tradePrice;

    // 优惠金额
    private BigDecimal discountedPrice;

    // 订单数量
    private Integer orderNum;

    // 金额分布列表
    private List<TyOrderGorpModel> priceGorp;

    // 支付方式分组
    private List<TyOrderGorpModel> payTypeGorp;

    // 油品方式分组
    private List<TyOrderGorpModel> gasOilNoGorp;

    public BigDecimal getOrderPrice() {
        return orderPrice;
    }

    public void setOrderPrice(BigDecimal orderPrice) {
        this.orderPrice = orderPrice;
    }

    public BigDecimal getTradePrice() {
        return tradePrice;
    }

    public void setTradePrice(BigDecimal tradePrice) {
        this.tradePrice = tradePrice;
    }

    public BigDecimal getDiscountedPrice() {
        return discountedPrice;
    }

    public void setDiscountedPrice(BigDecimal discountedPrice) {
        this.discountedPrice = discountedPrice;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public List<TyOrderGorpModel> getPriceGorp() {
        return priceGorp;
    }

    public void setPriceGorp(List<TyOrderGorpModel> priceGorp) {
        this.priceGorp = priceGorp;
    }

    public List<TyOrderGorpModel> getPayTypeGorp() {
        return payTypeGorp;
    }

    public void setPayTypeGorp(List<TyOrderGorpModel> payTypeGorp) {
        this.payTypeGorp = payTypeGorp;
    }

    public List<TyOrderGorpModel> getGasOilNoGorp() {
        return gasOilNoGorp;
    }

    public void setGasOilNoGorp(List<TyOrderGorpModel> gasOilNoGorp) {
        this.gasOilNoGorp = gasOilNoGorp;
    }
}
